Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Problems installing Eclipse 32-bit on Linux(Getting a bash error when trying to run the installer)
Problems installing Eclipse 32-bit on Linux [message #1833811] Sat, 24 October 2020 13:40 Go to next message
Stacy Genovese is currently offline Stacy GenoveseFriend
Messages: 1
Registered: October 2020
Junior Member
I'm struggling with installing Eclipse (for C) on my Raspberry Pi system. It's only a 32-bit system. I downloaded the 32-bit compressed file from Eclipse, successfully unzipped it, and get the eclipse-inst file. But when I try to run it (./eclipse-inst) I get a

bash: ./eclipse-inst: cannot execute binary file: Exec format error

when I do file eclipse-inst I get:

eclipse-inst: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically linked, interpreter /lib/ld-linux.so.2, for GNU/Linux 2.6.32, BuildID[sha1]=86cbe08f0430c7c05ec016f123d040fb8aad9ffb, with debug_info, not stripped

I have goolged this and have tried everything. Please help.

Thanks
Re: Problems installing Eclipse 32-bit on Linux [message #1833819 is a reply to message #1833811] Sat, 24 October 2020 18:28 Go to previous message
Tauno Voipio is currently offline Tauno VoipioFriend
Messages: 608
Registered: August 2014
Senior Member
RasPi is an ARM system. It does not understand i386 code.

Current Eclipse releases need a 64-bit computer, operating system and Java.


--

Tauno Voipio
Previous Topic:Adding task repositories to Mylyn?
Next Topic:Installation trouble
Goto Forum:
  


Current Time: Sun Nov 29 15:09:22 GMT 2020

Powered by FUDForum. Page generated in 0.02885 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top